com.hazelcast.jet.function

## Interface DistributedUnaryOperator<T>

- All Superinterfaces:
    DistributedFunction<T,T>, Function<T,T>, Serializable, UnaryOperator<T>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedUnaryOperator<T>
      extends DistributedFunction<T,T>, UnaryOperator<T>, Serializable

  `Serializable` variant of `java.util.function.UnaryOperator` which declares checked exception.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default T` | `apply(T t)`
    `T` | `applyEx(T t)` Exception-declaring version of `Function.apply(T)`.
    `static <T> DistributedUnaryOperator<T>` | `identity()` `Serializable` variant of `java.util.function.UnaryOperator#identity()`.

    - ### Methods inherited from interface com.hazelcast.jet.function.DistributedFunction

      `andThen, compose`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Method Detail

    - #### applyEx

          T applyEx(T t)
             throws Exception

      Exception-declaring version of `Function.apply(T)`.
      Specified by:
        `applyEx` in interface `DistributedFunction<T,T>`
      Throws:
        `Exception`

    - #### apply

          default T apply(T t)

      Specified by:
        `apply` in interface `DistributedFunction<T,T>`
      Specified by:
        `apply` in interface `Function<T,T>`

    - #### identity

          static <T> DistributedUnaryOperator<T> identity()

      `Serializable` variant of `java.util.function.UnaryOperator#identity()`.
      Specified by:
        `identity` in interface `DistributedFunction<T,T>`
      Specified by:
        `identity` in interface `Function<T,T>`
      Specified by:
        `identity` in interface `UnaryOperator<T>`

Copyright © 2018. All rights reserved.